import QtQuick 1.0
import com.nokia.meego 1.0
import "globals.js" as Globals

Item {
    id:thisItem;
    opacity: 1.0;
    property TextEdit editor;
    Column{
        height:90;
        spacing:2;
        Row{
            height: 40;
            Button {
                width:90;
                font.bold: true;
                font.family: Globals.fontFamily;
                font.pointSize: Globals.pointFontSize;
                height: parent.height;

                Text { 
					anchors.centerIn: parent; 
					text: "Cut";
					color:"white";
				}

                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        editor.cut();
                        editor.state = "off";
                        editor.state = "";
                        thisItem.visible = false;
                    }
                }
            }

            Button{
                width:90;
                font.bold: true;
                font.family: Globals.fontFamily;
                font.pointSize: Globals.pointFontSize;
                height: parent.height;                

                Text { 
					anchors.centerIn: parent; 
					text: "Copy";
					color:"white";					
				}

                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        editor.copy();
                        editor.state = "selection"
                        editor.selection = "";
                        thisItem.visible = false;
                    }
                }
            }
         }

         Row{
            height: 40;
            Button {
                width:90;
                font.family: Globals.fontFamily;
                font.pointSize: Globals.pointFontSize;
                height: parent.height;

                Text { 
					anchors.centerIn: parent; 
					text: "Paste";
					color:"white";
				}

                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        editor.paste();
                        editor.cursorPosition = editor.selectionEnd;
                        editor.state = "off";
                        editor.state = ""
                        thisItem.visible = false;
                    }
                }
            }

            Button {
                width:90;
                font.family: Globals.fontFamily;
                font.pointSize: Globals.pointFontSize;
                height: parent.height;

                Text { 
					anchors.centerIn: parent; 
					text: "Deselect";
					color:"white";
				}

                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        editor.cursorPosition = editor.selectionEnd;
                        editor.deselect();
                        editor.state = "off";
                        editor.state = ""
                        console.debug("CIAO " + editor.state );
                        thisItem.visible = false;
                    }
                }
            }
       }
    }
}
